package questions;

public class Question1 {
	
	public static void main(String[] args) {
		int a=8;
		boolean b=false;
		double c=0;
		
		c = method1(a,b);
		System.out.println(c);
	}
	
	/* a) Wrong. According to the call, the method must return
	 *    a value */
	/*
	public static void method1(int a, boolean b) {
		if (b == false)
			System.out.println(a+4);		
	}
	*/
	
	/* b) Wrong. According to the call, the order of the method
	 * parameters is integer, boolean. Therefore, there is a type
	 * mismatch error */
	/*
	public static double method1(boolean b, int a) {
		double c;
		
		if (b == false){
			a = a+4;
		}
		c = a;
		
		return c;
	}
	*/
	
	/* c) Right. The method header matches the call. The result of
	 * the calculation is 12.0 */
	public static double method1(int x, boolean y){
		double w;
		if (y == false) {
			x = x+4;
		}
		w = x;
		return w;
	}
	
	/* d) Wrong. The method does not accept parameters. Nevertheless,
	 * two parameters are indicated in the call. Therefore, there is a 
	 * mismatch method error */
	/*
	public static double method1(){
		return 12.0;
	}
	*/
}
