package problems;

public class Card {
	
	public static String [] SUITS = {"Spades", "Hearts", "Diamonds", "Clubs"};
	public static String [] NAMES = {"ace", "two", "three", "four", "five", "six", "seven", 
									 "eight", "nine", "ten", "knave", "queen", "king"};
	
	private String suit;
	private String name;
	
	public String isIn(String [] a, String v) {
		for(int i=0; i<a.length; i++)
			if(a[i].equals(v))
				return v;
		return a[0];
	}
	
	public void setSuit(String s) {
		if(isIn(SUITS, s).equals(s))
			this.suit = s;
	}
	
	public void setName(String n) {
		if(isIn(NAMES, n).equals(n))
			this.name = n;
	}
	
	public String getSuit() {
		return suit;
	}
	
	public String getName() {
		return name;
	}
}
