package problems;

public class Problem1 {

	public static double percent(double [] list) {
		double first = list[0];
		int n=0;
		
		for(int i=1; i<list.length; i++)
			if(list[i]>=first)
				n++;
		
		double result = (double)n/list.length;
		
		return result;
	}
	
	public static double [] largers(double [] list, double v) {
		double [] largers = new double[list.length];
		int n=0;
		
		for(int i=0; i<list.length; i++) {
			if(list[i]>=v) {
				largers[n] = list[i];
				n++;
			}
		}
		
		// Resize result array
		double [] result = new double[n];
		System.arraycopy(largers, 0, result, 0, n);
		
		return result;
	}
	
	public static double [] findLocalMaximums(double [] list) {
		
		double [] localMaximums = new double[list.length];
		int n = 0;
		
		// Find local maximums
		if(list[0] >= list[1]) {
			localMaximums[n] = list[0];
			n++;
		}
		
		for(int i=1; i<list.length-1; i++) {
			if(list[i]>=list[i-1] && list[i]>=list[i+1]) {
				localMaximums[n] = list[i];
				n++;
			}
		}
		
		if(list[list.length-1] >= list[list.length-2]) {
			localMaximums[n] = list[list.length-1];
			n++;
		}
		
		// Resize result array
		double [] result = new double[n];
		System.arraycopy(localMaximums, 0, result, 0, n);
		
		return result;
	}
	

	public static void main(String [] args) {
		double [] z = new double[10];
		
		for(int i=0; i<z.length; i++)
			z[i] = 100 * Math.random();
		
		System.out.print("\nArray: [");
		for(int i=0; i<z.length; i++)
			System.out.print(z[i] + " ");
		System.out.print("]\n");
		
		double [] w = findLocalMaximums(z);
		System.out.print("\nLocal Maximums: [");
		for(int i=0; i<w.length; i++)
			System.out.print(w[i] + " ");
		System.out.print("]\n");
		
		double x = 75;
		double [] y = largers(w, x);
		System.out.print("\n>"+x+": [");
		for(int i=0; i<y.length; i++)
			System.out.print(y[i] + " ");
		System.out.print("]\n");
		
		double r = percent(y);
		System.out.println("\nPercent: "+r);	
	}

}
