// Problem 2
import java.io.*;

public class Problem2 {

	// 2.a
	public static String largest1D(String [] a) {
		int max = 0;
		for(int i=1; i<a.length; i++)
			if(a[i].length() > a[max].length())
				max = i;
		return a[max];		
	}
	
	// 2.b
	public static void main(String[] args) {
		String [] strings;
		
		// Get number of elements of the array
		if(args.length != 1) {
			System.out.println("Error. One argument is required.");
			System.exit(-1);
		}
		int n = 0;
		try {
			n = Integer.parseInt(args[0]);
		} catch (NumberFormatException e) {
			System.out.println("Error. The argument must be an integer value.");
			System.exit(-1);
		}
		if(n <= 0) {
			System.out.println("Error. The argument must be positive.");
			System.exit(-1);			
		}
		
		// Initialize string array
		strings = new String[n];
		
		// Read 'n' strings form the keyboard
		int read = 0;		
		InputStreamReader isr = new InputStreamReader(System.in);
		BufferedReader br = new BufferedReader(isr);
		while(read < n) {
			try {
				strings[read] = br.readLine();
			} catch(IOException e) {
				System.out.println("Error. Fatal error while reading from keyboard.");
				System.exit(-1);			
			}
			read++;
		}
		
		// Call to largest1D method
		System.out.println("Largest string: " + largest1D(strings) );
				
	}
	
	// 2.c
	public static String[] largest2D(String [][] a) {
		String [] largest = new String[a.length];
		for(int i=0; i<a.length; i++)
			largest[i] = largest1D(a[i]);
		return largest;
	}
}
