package problems;

public class Problem3 {

	/* a. */
	public static boolean hasNegativeValues(int [][] m) {
		
		for(int i=0; i<m.length; i++)
			for(int j=0; j<m[i].length; j++)
				if(m[i][j] < 0)
					return true;
		
		return false;
	}
	
	/* b. */
	public static int addDiagonal(int [][] m) {
		
		int add = 0;
		
		for(int i=0; i<m.length; i++)
			
			// Test square and regular
			if(m[i].length == m.length)
				add += m[i][i];
			else
				return 0;

		return add;
	}
	
	/* c. */
	public static int addLowerHalf(int [][] m) {
		
		int add = 0;
		
		for(int i=m.length/2; i<m.length; i++)
			for(int j=0; j<m[i].length; j++)
				add += m[i][j];
		
		return add;
	}
	

	/* Provided code */
	public static void main(String[] args) {
		
		int [][] testMatrix1 = new int[][] {
				{ 2,  3,   9,  4},
				{ 4,  1,   3,  5},
				{ 1,  9,   9,  9},
				{-7,  8,   0,  1}
			};  // square and regular matrix
		
		int [][] testMatrix2 = new int[][] {
				{ 3,  3,  8,  2},
				{ 1,  1,  4,  4},
				{ 1,  9,  9,  9, 2, 2},
				{ 7,  8,  0,  2}
			};	// square and not regular matrix

		boolean tmp;
		
		tmp = hasNegativeValues(testMatrix1);
		System.out.println("1st result: " + tmp);
		tmp = hasNegativeValues(testMatrix2);
		System.out.println("2nd result: " + tmp);
		
		int sum;
		sum = addDiagonal(testMatrix1);
		System.out.println("3rd result: " + sum);
		sum = addDiagonal(testMatrix2);
		System.out.println("4th result: " + sum);

		sum = addLowerHalf(testMatrix1);
		System.out.println("5th result: " + sum);
		sum = addLowerHalf(testMatrix2);
		System.out.println("6th result: " + sum);
	}

}
